Bug 446736 - Beagle crashes with double free or corruption (fasttop): 0x0901b2e0
Beagle crashes with double free or corruption (fasttop): 0x0901b2e0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-sharp (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 15:43 EDT by Aleksander Kamil Modzelewski
Modified: 2008-07-26 02:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.16.1.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 15:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from beagled (9.98 KB, text/plain)
2008-05-15 15:44 EDT, Aleksander Kamil Modzelewski
no flags Details
Beagleds config. (761 bytes, text/plain)
2008-05-15 15:45 EDT, Aleksander Kamil Modzelewski
no flags Details

  None (edit)
Description Aleksander Kamil Modzelewski 2008-05-15 15:43:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9b5) Gecko Fedora/2.22.1.1-1.fc9 Epiphany/2.22

Description of problem:
I've tried installing and using beagle, but unfortunately it failed on me. After some time the beagle deamon crashes.

Version-Release number of selected component (if applicable):
beagle-0.3.7-3.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1.Start beagled --fg
2.Use the computer for about a minute.

Actual Results:
Beagled crashed, with output as attached.

Expected Results:
No crash :-)

Additional info:
I will attach the config file and beagleds output, as copied from gnome-terminal.
Comment 1 Aleksander Kamil Modzelewski 2008-05-15 15:44:43 EDT
Created attachment 305528 [details]
Output from beagled
Comment 2 Aleksander Kamil Modzelewski 2008-05-15 15:45:41 EDT
Created attachment 305529 [details]
Beagleds config.
Comment 3 Adel Gadllah 2008-05-15 18:27:19 EDT
does this still happen when you disable the evolution backend?
Comment 4 Will Woods 2008-05-19 14:07:05 EDT
Disabling the evolution backend seems to keep beagled from crashing for me.
Comment 5 Adel Gadllah 2008-05-19 17:38:12 EDT
OK, this seems to be an evolution-sharp bug.
See: https://bugzilla.redhat.com/show_bug.cgi?id=446736
Upstream fix exists as either release or patch. (ie. can be fixed by upgrading
the package or appling the patch).
Comment 6 Adel Gadllah 2008-05-19 17:38:56 EDT
Sorry wrong url.
Upstream bug is there: http://bugzilla.gnome.org/show_bug.cgi?id=519284
Comment 7 Aleksander Kamil Modzelewski 2008-05-19 17:52:50 EDT
Sorry for being so late: yes, disabling Evolution did stop beagle from crashing
here as well.
Comment 8 Fedora Update System 2008-05-19 20:22:36 EDT
evolution-sharp-0.16.1.1-1.fc9 has been submitted as an update for Fedora 9
Comment 9 Matthew Barnes 2008-05-19 20:22:56 EDT
Fixed in evolution-sharp-0.16.1.1-1.fc9.
Comment 10 Fedora Update System 2008-05-21 07:02:14 EDT
evolution-sharp-0.16.1.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-sharp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4232
Comment 11 Fedora Update System 2008-06-20 15:12:22 EDT
evolution-sharp-0.16.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-07-26 02:05:56 EDT
evolution-sharp-0.16.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.